# maingame.h

## Functions
void | update (void)
void | update_background (void)
void | update_stickman (void)
void | update_lives (void)
void | update_score (ALLEGRO_BITMAP *image, float x, float y, int nflags, ALLEGRO_COLOR color)
void | update_survivaltime (ALLEGRO_BITMAP *image, float x, float y, int nflags, ALLEGRO_COLOR color)
void | update_ameans (SPRITESPTR amean)
void | update_brickwall (SPRITESPTR brickwall)
void | update_steelwall (SPRITESPTR steelwall)
void | update_clamp (SPRITESPTR clamp)
void | update_spikes (SPRITESPTR spikes)
void | update_fist (SPRITESPTR fist)
void | update_raw (SPRITESPTR raw)
void | update_plant (SPRITESPTR plant)
void | update_clouds (void)
void | update_ground (void)
void | update_sprites (void *ptr, void *unused)
void | logic (void)
void | collision_end_win (cpSpace *Space, void *obj, void *unused)
void | collision_end_lose (cpSpace *Space, void *obj, void *unused)
void | maingame_cleanup (void)

## Detailed Description

Updates the game state every frame, performs all animations and game logic

## Function Documentation

void collision_end_lose | ( | cpSpace * | Space,
|  | void * | obj,
|  | void * | unused |
| ) |  |  |

Definition at line 343 of file maingame.c.

void collision_end_win | ( | cpSpace * | Space,
|  | void * | obj,
|  | void * | unused |
| ) |  |  |

Definition at line 325 of file maingame.c.

void logic | ( | void |  | ) |

Definition at line 711 of file maingame.c.

void maingame_cleanup | ( | void |  | ) |

Definition at line 771 of file maingame.c.

void update | ( | void |  | ) |

Definition at line 110 of file maingame.c.

void update_ameans | ( | SPRITESPTR | amean | ) |

Definition at line 390 of file maingame.c.

void update_background | ( | void |  | ) |

Definition at line 673 of file maingame.c.

void update_brickwall | ( | SPRITESPTR | brickwall | ) |

Definition at line 427 of file maingame.c.

void update_clamp | ( | SPRITESPTR | clamp | ) |

Definition at line 461 of file maingame.c.

void update_clouds | ( | void |  | ) |

Definition at line 629 of file maingame.c.

void update_fist | ( | SPRITESPTR | fist | ) |

Definition at line 511 of file maingame.c.

void update_ground | ( | void |  | ) |

Definition at line 652 of file maingame.c.

void update_lives | ( | void |  | ) |

Definition at line 298 of file maingame.c.

void update_plant | ( | SPRITESPTR | plant | ) |

Definition at line 598 of file maingame.c.

void update_raw | ( | SPRITESPTR | raw | ) |

Definition at line 545 of file maingame.c.

void update_score | ( | ALLEGRO_BITMAP * | image,
|  | float | x,
|  | float | y,
|  | int | nflags,
|  | ALLEGRO_COLOR | color |
| ) |  |  |

Definition at line 315 of file maingame.c.

void update_spikes | ( | SPRITESPTR | spikes | ) |

Definition at line 528 of file maingame.c.

void update_sprites | ( | void * | ptr,
|  | void * | unused |
| ) |  |  |

Definition at line 682 of file maingame.c.

void update_steelwall | ( | SPRITESPTR | steelwall | ) |

Definition at line 494 of file maingame.c.

void update_stickman | ( | void |  | ) |

Definition at line 159 of file maingame.c.

void update_survivaltime | ( | ALLEGRO_BITMAP * | image,
|  | float | x,
|  | float | y,
|  | int | nflags,
|  | ALLEGRO_COLOR | color |
| ) |  |  |

Definition at line 354 of file maingame.c.